#ifndef INIReader_INIReader_h
#define INIReader_INIReader_h

#include <map>
#include <string>

using std::map;
using std::wstring;


class INIReader {
public:
    static INIReader &getInstance();	// to be used as singleton
    int GetParamValue(const wstring &key, wstring &value);

private:
	INIReader(void);	// hide ctor
	INIReader(INIReader const&);	// avoid copy
	void operator=(INIReader const&);	// avoid assignment

    int readFile(const wstring &filename);
    int retrieveFilePath(wstring &filepath);
    int parseContentLine(wstring &contentLine);
    
    map<wstring, wstring> paramMap;
};


#endif
